package net.bjoerks.ListeDemo;


import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.util.ArrayList;

import android.R.bool;
import android.content.Context;
import android.content.res.AssetManager;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.text.format.Time;
import android.util.Log;

public class MainViewModel {

    
    public ArrayList<DemoItem> items = new ArrayList<DemoItem>(); 
    
    public DemoItem selectedItem = null;
    
    
    private MainViewModel(){

    }

    private static MainViewModel _mainViewModel = new MainViewModel();
    public static MainViewModel getMainViewModel(){
    	//if (_mainViewModel == null) {
    	//	_mainViewModel = new MainViewModel();
    	//}
    	return _mainViewModel;
    }
    
    public boolean isLoaded = false;

	public void loadTestData(Context context) {
		MainViewModel mvm = MainViewModel.getMainViewModel();
		mvm.items.add(new DemoItem(1, "2013.04.21", "1. item"));
		mvm.items.add(new DemoItem(2, "2013.04.22", "2. item"));
		mvm.items.add(new DemoItem(3, "2013.04.23", "3. item"));
		mvm.items.add(new DemoItem(4, "2013.04.24", "4. item"));
		mvm.items.add(new DemoItem(5, "2013.04.25", "5. item"));
		mvm.items.add(new DemoItem(6, "2013.04.26", "6. item"));
		for (int pos = 0; pos < 6; ++pos)
		{
			try {
					String filename = "javaone/ealkopi.png";
					if (pos>0) filename = "javaone/p"+pos+".jpg";
/*					if (filename.endsWith("png")) 
					{
						InputStream ims = getAssets().open(filename);
					    // load image as Drawable - png
					    Drawable d = Drawable.createFromStream(ims, null);
					    mvm.items.get(pos).ItemImagesDrawable = d;
					}
					else if (filename.endsWith("jpg")) 
*/					{
						AssetManager am = context.getAssets();
		                Bitmap bmp = BitmapFactory.decodeStream(am.open(filename));
					    mvm.items.get(pos).ItemImagesBitmap = bmp;
					}
			}
			catch(Exception ex) {
				Log.e("I/O ERROR","Failed when ...");
			}
		}
		for (int pos = 0; pos < 6; ++pos)
		{

			try {
				String filename = "javaone/p"+pos+".txt";
				InputStream inStream = context.getAssets().open(filename);
		        Reader inReader = new InputStreamReader(inStream,"8859_1"); 
		        char[] buf = new char[1000];
		        int count = inReader.read(buf);
			    mvm.items.get(pos).Title = new String(buf,0,count);
			}
			catch(Exception ex) {
			      Log.e("I/O ERROR","Failed when ...");
			}
		}

		mvm.items.get(0).WebImagesUrl = "http://bjoerks.net/cv/bjbu8.jpg";
		mvm.items.get(1).WebImagesUrl = "http://www.bjoerks.net/foto/200604_KVU_Riga_1024/200604_KVU_Riga_BJBU_1024/thumbs/1024_DSC01586b.jpg";
		mvm.items.get(2).WebImagesUrl = "http://www.bjoerks.net/foto/200604_KVU_Riga_1024/200604_KVU_Riga_BJBU_1024/thumbs/1024_DSC01589b.jpg";
		mvm.items.get(3).WebImagesUrl = "http://www.bjoerks.net/foto/200604_KVU_Riga_1024/200604_KVU_Riga_BJBU_1024/thumbs/1024_DSC01607b.jpg";
		mvm.items.get(4).WebImagesUrl = "http://www.bjoerks.net/foto/200604_KVU_Riga_1024/200604_KVU_Riga_BJBU_1024/thumbs/1024_DSC01615b.jpg";
		mvm.items.get(5).WebImagesUrl = "http://www.bjoerks.net/foto/200604_KVU_Riga_1024/200604_KVU_Riga_BJBU_1024/thumbs/1024_DSC01635b.jpg";
		
		mvm.isLoaded = true;
	}
    	
}
